[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'base64' (#fcl)

# DecodeStringBase64

Decodes a Base64 encoded string and returns the decoded data as a string.

## Declaration

Source position: base64.pp line 90

`function DecodeStringBase64(`
`const s: string;`
`strict: Boolean = False`
`):string;`

## Arguments

`s` |  | The base64 encoded string to decode
`strict` |  | Choose between strict base64 decoding or MIME decoding

## Function result

The base64 decoded version of S

## Description

DecodeStringBase64 decodes the string s (containing Base 64 encoded data) returns the decoded data as a string. It uses a TBase64DecodingStream to do this. The Strict parameter is passed on to the constructor as bdmStrict or bdmMIME

## See also

DecodeStringBase64 |  | Decodes a Base64 encoded string and returns the decoded data as a string.
TBase64DecodingStream |  | Base64 Decoding stream